[error] An error occurred while building the ios project.xcode-select: error: tool ‘xcodebuild’ requires Xcode, but active developer directory ‘/Library/Developer/CommandLineTools’ is a command line tools instance

nomade$ phonegap build ios
[phonegap] detecting iOS SDK environment…
[phonegap] using the local environment
[phonegap] compiling iOS…
[error] An error occurred while building the ios project.xcode-select: error: tool ‘xcodebuild’ requires Xcode, but active developer directory ‘/Library/Developer/CommandLineTools’ is a command line tools instance

PROVIAMO a risolvere anche questa:

You can download the Xcode command-line tools in either of two ways:

To install the necessary Xcode tools using Xcode on the Mac:

  1. Start Xcode on the Mac.
  2. Choose Preferences from the Xcode menu.
  3. In the General panel, click Downloads.
  4. On the Downloads window, choose the Components tab.
  5. Click the Install button next to Command Line Tools.
    You are asked for your Apple Developer login during the install process.

To install the necessary Xcode tools from the Web:

You can download the Xcode command line tools directly from the developer portal as a .dmg file.

  1. On the Mac, go to https://developer.apple.com/downloads/index.action
    You are asked for your Apple Developer login during the install process.
  2. On the “Downloads for Apple Developers” list, select the Command Line Tools entry that you want.
 fonte: http://docwiki.embarcadero.com/RADStudio/XE4/en/Installing_the_Xcode_Command_Line_Tools_on_a_Mac